org.apache.solr.common.util

## Class BytesBlock

- java.lang.Object
- - org.apache.solr.common.util.BytesBlock

    public class BytesBlock
    extends Object

### Field Summary

Fields
`byte[]` `buf`

### Constructor Summary

Constructors
Constructor and Description
`BytesBlock(int sz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BytesBlock` `expand(int sz)`
`byte[]` `getBuf()`
`int` `getPos()`
`int` `getStartPos()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buf

    public byte[] buf

### Constructor Detail

#### BytesBlock

    public BytesBlock(int sz)

### Method Detail

#### getPos

    public int getPos()

#### getStartPos

    public int getStartPos()

#### getBuf

    public byte[] getBuf()

#### expand

    public BytesBlock expand(int sz)